# TdApi.TestSquareInt (tdlight API 4.0.177 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: TestSquareInt

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.TestSquareInt

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.TestInt>
it.tdlight.jni.TdApi.TestSquareInt

Enclosing class:
  TdApi

public static final class TdApi.TestSquareInt extends TdApi.Function<TdApi.TestInt>
Returns the squared received number; for testing only. This is an offline method. Can be called before authorization.

Returns `TestInt`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`x`
Number to square.

## Constructor Summary

Constructors
Constructor
Description
`TestSquareInt()`
Returns the squared received number; for testing only.
`TestSquareInt(int x)`
Returns the squared received number; for testing only.
`TestSquareInt(DataInput input)`
Returns the squared received number; for testing only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### x

public int x
Number to square.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### TestSquareInt

public TestSquareInt()
Returns the squared received number; for testing only. This is an offline method. Can be called before authorization.

Returns `TestInt`

### TestSquareInt

public TestSquareInt(int x)
Returns the squared received number; for testing only. This is an offline method. Can be called before authorization.

Returns `TestInt`

Parameters:
  `x` - int Number to square.

### TestSquareInt

public TestSquareInt(DataInput input) throws IOException
Returns the squared received number; for testing only. This is an offline method. Can be called before authorization.

Returns `TestInt`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`